Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011557
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] E. Translationmajoralways2009-11-30 17:132010-01-21 00:00
ReportercarboneteView Statuspublic 
Assigned Toiperdomo 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione8eca47561fe
ProjectionnoneETAnoneTarget Version2.50MP11
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_16
OS VersionCommunity ApplianceDatabase version8.3.8Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011557: Login error message hardcode

DescriptionIn case of login error message are harcoded in LoginHandler and not user Messages.
In case of localization its critical because most users not understand nothing in english. If i change this message it´s more one source to control. It´s not good.

thanks

Carbonete
Steps To Reproduceat login screen put incorret users and see message.
Proposed Solutionchange LoginHandler to use Messages table and one identifier to language of message.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0012333 closeddbaz Clean browser's cache message should be translatable 

-  Notes
(0022717)
iperdomo (developer)
2009-12-11 17:51

The user language is only available after a successful log in. The LoginHandler only authenticates, but the session is filled with user preferences (language, role, etc) _after_ the authentication.
(0022719)
iciordia (manager)
2009-12-11 18:00

But still it makes sense to have a default language for the instance, and use that language when there is no language in the context
(0022721)
carbonete (reporter)
2009-12-11 18:58

It´s possible detect primary browser language, example in php, but it´s a http header value.

thanks
(0022722)
carbonete (reporter)
2009-12-11 18:58

My mistake http://techpatterns.com/downloads/php_language_detection.php [^] it´s detection example.
(0023159)
iperdomo (developer)
2009-12-30 17:03

The solution is to use the language defined in the System client.
(0023173)
hgbot (developer)
2009-12-30 19:18

Repository: erp/devel/pi
Changeset: e8eca47561fe1f692ecc400d16381a8fd9df0268
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Dec 30 19:18:32 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e8eca47561fe1f692ecc400d16381a8fd9df0268 [^]

Fixes issue 11557: Error login message is now based on System languange

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/base/secureApp/LoginHandler.java
---
(0023525)
hudsonbot (developer)
2010-01-19 01:41

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/e8eca47561fe [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7f3a35240cf9 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15846.obx [^]

- Issue History
Date Modified Username Field Change
2009-11-30 17:13 carbonete New Issue
2009-11-30 17:13 carbonete Assigned To => rafaroda
2009-12-11 15:26 rafaroda Assigned To rafaroda => iciordia
2009-12-11 17:51 iperdomo Note Added: 0022717
2009-12-11 17:59 iciordia Assigned To iciordia => iperdomo
2009-12-11 18:00 iperdomo Status new => scheduled
2009-12-11 18:00 iperdomo fix_in_branch => pi
2009-12-11 18:00 iperdomo Target Version => 2.50MP11
2009-12-11 18:00 iperdomo fix_in_branch pi =>
2009-12-11 18:00 iciordia Note Added: 0022719
2009-12-11 18:58 carbonete Note Added: 0022721
2009-12-11 18:58 carbonete Note Added: 0022722
2009-12-30 17:03 iperdomo Note Added: 0023159
2009-12-30 19:18 hgbot Checkin
2009-12-30 19:18 hgbot Note Added: 0023173
2009-12-30 19:18 hgbot Status scheduled => resolved
2009-12-30 19:18 hgbot Resolution open => fixed
2009-12-30 19:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e8eca47561fe1f692ecc400d16381a8fd9df0268 [^]
2010-01-19 01:41 hudsonbot Checkin
2010-01-19 01:41 hudsonbot Note Added: 0023525
2010-01-20 15:08 alostale Status resolved => closed
2010-01-21 00:00 anonymous sf_bug_id 0 => 2935922
2010-02-18 11:36 iperdomo Relationship added related to 0012333


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker